\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=2cm,y=2cm]
\clip(-1.3,-1.3) rectangle (1.3,1.3);
\draw [line width=1pt] (0,0) circle (2cm);
\draw [line width=1pt,->] (-1.25,0)-- (1.25,0);
\draw [line width=1pt,->] (0,-1.25)-- (0,1.25);
\draw (1.125,0.125) node[anchor=center] {1};
\draw (0.125,1.125) node[anchor=center] {1};
\draw (-1.125,0.125) node[anchor=center] {-1};
\draw (0.125,-1.125) node[anchor=center] {-1};
\draw (0.125,0.125) node[anchor=center] {0};
\foreach \y in {-0.9,-0.8,...,0.9}
    \draw[line width=0.75pt] (0.05,\y) -- (-0.05,\y);
\foreach \x in {-0.9,-0.8,...,0.9}
    \draw[line width=0.75pt] (\x,0.05) -- (\x,-0.05);
\draw[line width=0.75pt] (0.5,0.1) -- (0.5,-0.1);
\draw[line width=0.75pt] (-0.5,0.1) -- (-0.5,-0.1);
\draw[line width=0.75pt] (0.1,0.5) -- (-0.1,0.5);
\draw[line width=0.75pt] (0.1,-0.5) -- (-0.1,-0.5);
\end{tikzpicture}